##############################################################################
#
# Copyright (c) 2002 Ingeniweb SARL
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
#
##############################################################################

"""
AttachmentField product
"""

import AttachmentHandler

import os
import os.path
import string
import re
import sys


if sys.platform == "win32":
    program = "unrtf.exe"  # exists ?
else:
    program = "unrtf"


class RTFAttachment(AttachmentHandler.AbstractHandler):
    """
    RTF attachment file abstraction
    """
    icon_file = "text.gif"
    small_icon_file = "text_small.gif"
    content_types = (
        'application/rtf',
        'text/richtext',
        'text/rtf',
        )
    converter_type = "RTF"

    index_path = program
    index_arguments = r"%s --nopict -t text"
    index_encoding = ("CP1252", "utf8", "latin1", )
    
    preview_path = program
    preview_arguments = r"%s --nopict -t html"
    preview_format = "html"
    preview_encoding = ("CP1252", "utf8", "latin1", )


AttachmentHandler.registerHandler(RTFAttachment)
